Summary: Performance analysis tool
Name: nmon
Version: 16p
Release: 1%{?dist}
License: GPL-3.0-or-later
Group: Applications/System
URL: https://nmon.sourceforge.io/
Packager: Simon Matter <simon.matter@invoca.ch>
Vendor: Invoca Systems
Distribution: Invoca Linux Server
Source0: https://sourceforge.net/projects/%{name}/files/lmon%{version}.c
Source1: https://sourceforge.net/projects/%{name}/files/Documentation.txt
Source2: https://ftp.de.debian.org/debian/pool/main/n/nmon/nmon_16n+debian-1.debian.tar.gz
Patch0: lmon16j-kernel_detect.patch
Patch1: lmon16p-redhat-release.patch
Patch2: lmon16i-fake-fs.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: sed, ncurses-devel, /usr/include/linux/version.h
ExclusiveArch: %{ix86} x86_64 ppc ppc64 ppc64le

%ifarch ppc ppc64 ppc64le
%define nmon_arch POWER
%else
%define nmon_arch X86
%endif

%description
Nmon is designed for performance specialists to use for monitoring and
analyzing performance data.

%prep
%setup -c -T -a 2
%{__sed} -e 's|\/usr\/sbin\/||g' -e 's|\/usr\/bin\/||g' -e 's|\/sbin\/||g' -e 's|\/bin\/||g' %{SOURCE0} > lmon.c
%{__install} -m 0644 -p %{SOURCE1} .
%patch0 -b .kernel_detect
%patch1 -b .redhat-release
%patch2 -b .fake-fs

%build
BUILD_OPTIONS="%{optflags} -D %{nmon_arch} -D RHEL"
%{__cc} $BUILD_OPTIONS -lncurses -lm lmon.c -o %{name}

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%{__install} -d %{buildroot}%{_bindir}
%{__install} -d %{buildroot}%{_mandir}/man1
%{__install} -m 0755 -p %{name} %{buildroot}%{_bindir}/
%{__install} -m 0644 -p debian/%{name}.1 %{buildroot}%{_mandir}/man1/

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Documentation.txt
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
* Wed Aug 30 2023 Simon Matter <simon.matter@invoca.ch> 16p-1
- upgrade to 16p

* Tue Nov 30 2021 Simon Matter <simon.matter@invoca.ch> 16n-1
- upgrade to 16n

* Fri Sep 27 2019 Simon Matter <simon.matter@invoca.ch> 16m-1
- upgrade to 16m

* Thu Jun 27 2019 Simon Matter <simon.matter@invoca.ch> 16k-1
- upgrade to 16k

* Mon Apr 08 2019 Simon Matter <simon.matter@invoca.ch> 16j-1
- upgrade to 16j

* Wed Feb 06 2019 Simon Matter <simon.matter@invoca.ch> 16i-1
- upgrade to 16i

* Thu Jan 03 2019 Simon Matter <simon.matter@invoca.ch> 16h-1
- upgrade to 16h

* Fri Apr 21 2017 Simon Matter <simon.matter@invoca.ch> 16g-3
- fix redhat-release patch

* Fri Apr 21 2017 Simon Matter <simon.matter@invoca.ch> 16g-1
- upgrade to 16g

* Thu Apr 13 2017 Simon Matter <simon.matter@invoca.ch> 16f-2
- add man page from debian

* Mon May 23 2016 Simon Matter <simon.matter@invoca.ch> 16f-1
- upgrade to 16f

* Tue Apr 12 2016 Simon Matter <simon.matter@invoca.ch> 16e-1
- upgrade to 16e

* Mon Feb 01 2016 Simon Matter <simon.matter@invoca.ch> 16d-1
- upgrade to 16d

* Thu Jan 28 2016 Simon Matter <simon.matter@invoca.ch> 16c-1
- upgrade to 16c

* Tue Jan 12 2016 Simon Matter <simon.matter@invoca.ch> 16b-1
- upgrade to 16b

* Tue Jan 05 2016 Simon Matter <simon.matter@invoca.ch> 16a-1
- upgrade to 16a

* Wed Aug 12 2015 Simon Matter <simon.matter@invoca.ch> 15h-1
- upgrade to 15h

* Thu Jul 30 2015 Simon Matter <simon.matter@invoca.ch> 15g-1
- upgrade to 15g

* Mon May 18 2015 Simon Matter <simon.matter@invoca.ch> 15e-1
- upgrade to 15e

* Tue Apr 14 2015 Simon Matter <simon.matter@invoca.ch> 15d-1
- upgrade to 15d

* Fri Aug 02 2013 Simon Matter <simon.matter@invoca.ch> 14i-1
- upgrade to 14i

* Thu Jul 04 2013 Simon Matter <simon.matter@invoca.ch> 14h-1
- upgrade to 14h

* Tue Jun 07 2011 Simon Matter <simon.matter@invoca.ch> 14g-1
- upgrade to 14g

* Fri Apr 15 2011 Simon Matter <simon.matter@invoca.ch> 14f-2
- mass rebuild

* Mon Jan 03 2011 Simon Matter <simon.matter@invoca.ch> 14f-1
- upgrade to 14f

* Tue Dec 14 2010 Simon Matter <simon.matter@invoca.ch> 14e-1
- upgrade to 14e

* Fri Nov 19 2010 Simon Matter <simon.matter@invoca.ch> 14d-1
- upgrade to 14d

* Mon Nov 15 2010 Simon Matter <simon.matter@invoca.ch> 14a-1
- initial package
